Updates a web service entry. Omit a field to leave its current value unchanged.
Permissions: SystemAdministrator, SupportAdministrator users.
Path Parameters
- Type: stringFormat: uuididrequired
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
Request model for PATCH /v2/Subscriptions/WebServices/{id}. Omit a field to leave its current value unchanged. InternalID is not writable - it's a unique registration identity, not a free-text admin field.
- Type: stringCollection
- Type: stringDescription
- Type: stringHelp
U R L - Type: stringHide
- Type: stringObsolete
- Type: stringPremium
Feature - Type:Suggested
Price - Type: stringUser
Type - Type: stringVisible
Responses
- 200
OK
Request Example for patch/v2/Subscriptions/WebServices/{id}
curl /v2/Subscriptions/WebServices/C895A81E-0C20-42C0-B2DC-EAF43F9447BD \
--request PATCH \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"Description": "",
"Hide": "",
"Visible": "",
"UserType": "",
"HelpURL": "",
"Obsolete": "",
"PremiumFeature": "",
"SuggestedPrice": {},
"Collection": ""
}'
No Body
